scim_types.h File Reference

defines some basic data types. More...

`#include <stdint.h>`

## Namespaces

namespace | scim

## Typedefs

typedef uint16_t | scim::uint16
typedef uint32_t | scim::uint32
typedef uint64_t | scim::uint64
typedef uint32 | scim::ucs4_t
typedef std::basic_string< char > | scim::String
typedef std::basic_string< ucs4_t > | scim::WideString

## Detailed Description

defines some basic data types.